from sys import *

fin = open('oddoreven.in', 'r')
fout = open('oddoreven.out', 'w')

s = fin.readline().strip()
sx = fin.readline().strip()
sy = fin.readline().strip()

x = '0'
y = '0'

if sx == 'Odd':
    x = '1'
if sy == 'Odd':
    y = '1'

ns = ""

for i in range(0, len(s)):
    if s[i] == 'x':
        ns += x
    elif s[i] == 'y':
        ns += y
    else:
        ns += s[i]
        
if eval(ns) % 2 == 1:
    fout.write('Odd')
else:
    fout.write('Even')
        